com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache

## Class ExpirationKCVSCache

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy
  - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache
    - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.ExpirationKCVSCache

- All Implemented Interfaces:
    KeyColumnValueStore

      public class ExpirationKCVSCache
      extends KCVSCache

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache

      `NO_DELETIONS`

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy

      `store`

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.KeyColumnValueStore

      `NO_ADDITIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationKCVSCache(KeyColumnValueStore store, String metricsName, long cacheTimeMS, long invalidationGracePeriodMS, long maximumByteSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()`
    `void` | `close()` Closes this store
    `EntryList` | `getSlice(KeySliceQuery query, StoreTransaction txh)` Retrieves the list of entries (i.e.
    `Map<StaticBuffer,EntryList>` | `getSlice(List<StaticBuffer> keys, SliceQuery query, StoreTransaction txh)` Retrieves the list of entries (i.e.
    `void` | `invalidate(StaticBuffer key, List<CachableStaticBuffer> entries)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache

      `getSliceNoCache, getSliceNoCache, hasValidateKeysOnly, incActionBy, mutate, mutateEntries, unwrapTx`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy

      `acquireLock, getKeys, getKeys, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpirationKCVSCache

          public ExpirationKCVSCache(KeyColumnValueStore store,
                             String metricsName,
                             long cacheTimeMS,
                             long invalidationGracePeriodMS,
                             long maximumByteSize)

  - ### Method Detail

    - #### getSlice

          public EntryList getSlice(KeySliceQuery query,
                           StoreTransaction txh)
                             throws BackendException

      Description copied from interface: `KeyColumnValueStore`
      Retrieves the list of entries (i.e. column-value pairs) for a specified query.
      Specified by:
        `getSlice` in interface `KeyColumnValueStore`
      Overrides:
        `getSlice` in class `KCVSProxy`
      Parameters:
        `query` - Query to get results for
        `txh` - Transaction
      Returns:
        List of entries up to a maximum of "limit" entries
      Throws:
        `BackendException` - when columnEnd < columnStart
      See Also:
        `KeySliceQuery`

    - #### getSlice

          public Map<StaticBuffer,EntryList> getSlice(List<StaticBuffer> keys,
                                             SliceQuery query,
                                             StoreTransaction txh)
                                               throws BackendException

      Description copied from interface: `KeyColumnValueStore`
      Retrieves the list of entries (i.e. column-value pairs) as specified by the given `SliceQuery` for all of the given keys together.
      Specified by:
        `getSlice` in interface `KeyColumnValueStore`
      Overrides:
        `getSlice` in class `KCVSProxy`
      Parameters:
        `keys` - List of keys
        `query` - Slicequery specifying matching entries
        `txh` - Transaction
      Returns:
        The result of the query for each of the given keys as a map from the key to the list of result entries.
      Throws:
        `BackendException`

    - #### clearCache

          public void clearCache()

      Specified by:
        `clearCache` in class `KCVSCache`

    - #### invalidate

          public void invalidate(StaticBuffer key,
                        List<CachableStaticBuffer> entries)

      Specified by:
        `invalidate` in class `KCVSCache`

    - #### close

          public void close()
                     throws BackendException

      Description copied from interface: `KeyColumnValueStore`
      Closes this store
      Specified by:
        `close` in interface `KeyColumnValueStore`
      Overrides:
        `close` in class `KCVSProxy`
      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.